# Product Lists

## GET /v1/core/product-lists

> List all Product Lists

```json
{"openapi":"3.0.0","info":{"title":"Gormic Core API","version":"1.0"},"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key","description":"API Key"}},"schemas":{"ListProductListsApiResponse":{"type":"object","properties":{"app":{"type":"string"},"service":{"type":"string"},"warnings":{"type":"array","items":{"type":"object"}},"instanceId":{"type":"string"},"requestId":{"type":"string"},"data":{"$ref":"#/components/schemas/ListProductLists_Data"}},"required":["app","service","warnings","instanceId","requestId","data"]},"ListProductLists_Data":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/ProductListM"}},"next":{"type":"string"}},"required":["items"]},"ProductListM":{"type":"object","properties":{"type":{"type":"string","enum":["custom","menu"]},"group":{"type":"object"},"locales":{"$ref":"#/components/schemas/__type_174bf132"},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"},"uid":{"type":"string"},"entries":{"type":"array","items":{"$ref":"#/components/schemas/ProductListEntryM"}}},"required":["type","locales","uid","entries"]},"__type_174bf132":{"type":"object","properties":{"ar":{"$ref":"#/components/schemas/__type_174bf132_Ar"},"en":{"$ref":"#/components/schemas/__type_174bf132_En"}},"required":["ar","en"]},"__type_174bf132_Ar":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string","nullable":true}},"required":["name"]},"__type_174bf132_En":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string","nullable":true}},"required":["name"]},"ProductListEntryM":{"type":"object","properties":{"sort":{"type":"number","nullable":true},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"},"uid":{"type":"string"},"productUid":{"type":"string"}},"required":["uid","productUid"]}}},"paths":{"/v1/core/product-lists":{"get":{"operationId":"ProductLists_list","parameters":[{"name":"organization-id","in":"header","required":true,"schema":{"type":"string"},"description":"Organization ID"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListProductListsApiResponse"}}}}},"summary":"List all Product Lists","tags":["Product Lists"]}}}}
```

## POST /v1/core/product-lists

> Creates a new Product List

```json
{"openapi":"3.0.0","info":{"title":"Gormic Core API","version":"1.0"},"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key","description":"API Key"}},"schemas":{"CreateProductListApiRequest":{"type":"object","properties":{"params":{"$ref":"#/components/schemas/CreateProductList_Params"}},"required":["params"]},"CreateProductList_Params":{"type":"object","properties":{"type":{"type":"string","enum":["custom","menu"]},"group":{"type":"object"},"locales":{"$ref":"#/components/schemas/CreateProductList_Params_Locales"},"entries":{"type":"array","items":{"$ref":"#/components/schemas/CreateProductList_Params_EntriesItem"}}},"required":["type","locales","entries"]},"CreateProductList_Params_Locales":{"type":"object","properties":{"ar":{"$ref":"#/components/schemas/CreateProductList_Params_Locales_Ar"},"en":{"$ref":"#/components/schemas/CreateProductList_Params_Locales_En"}},"required":["ar","en"]},"CreateProductList_Params_Locales_Ar":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string","nullable":true}},"required":["name"]},"CreateProductList_Params_Locales_En":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string","nullable":true}},"required":["name"]},"CreateProductList_Params_EntriesItem":{"type":"object","properties":{"productId":{"type":"string"},"sort":{"type":"number","nullable":true}},"required":["productId"]},"CreateProductListApiResponse":{"type":"object","properties":{"app":{"type":"string"},"service":{"type":"string"},"warnings":{"type":"array","items":{"type":"object"}},"instanceId":{"type":"string"},"requestId":{"type":"string"},"data":{"$ref":"#/components/schemas/CreateProductList_Data"}},"required":["app","service","warnings","instanceId","requestId","data"]},"CreateProductList_Data":{"type":"object","properties":{"item":{"$ref":"#/components/schemas/CreateProductList_Data_Item"}},"required":["item"]},"CreateProductList_Data_Item":{"type":"object","properties":{"type":{"type":"string","enum":["custom","menu"]},"group":{"type":"object"},"locales":{"$ref":"#/components/schemas/__type_174bf132"},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"},"uid":{"type":"string"},"entries":{"type":"array","items":{"$ref":"#/components/schemas/ProductListEntryM"}}},"required":["type","locales","uid","entries"]},"__type_174bf132":{"type":"object","properties":{"ar":{"$ref":"#/components/schemas/__type_174bf132_Ar"},"en":{"$ref":"#/components/schemas/__type_174bf132_En"}},"required":["ar","en"]},"__type_174bf132_Ar":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string","nullable":true}},"required":["name"]},"__type_174bf132_En":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string","nullable":true}},"required":["name"]},"ProductListEntryM":{"type":"object","properties":{"sort":{"type":"number","nullable":true},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"},"uid":{"type":"string"},"productUid":{"type":"string"}},"required":["uid","productUid"]}}},"paths":{"/v1/core/product-lists":{"post":{"operationId":"ProductLists_create","parameters":[{"name":"organization-id","in":"header","required":true,"schema":{"type":"string"},"description":"Organization ID"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateProductListApiRequest"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateProductListApiResponse"}}}}},"summary":"Creates a new Product List","tags":["Product Lists"]}}}}
```

## GET /v1/core/product-lists/{uid}

> Returns a Product List

```json
{"openapi":"3.0.0","info":{"title":"Gormic Core API","version":"1.0"},"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key","description":"API Key"}},"schemas":{"GetProductListApiResponse":{"type":"object","properties":{"app":{"type":"string"},"service":{"type":"string"},"warnings":{"type":"array","items":{"type":"object"}},"instanceId":{"type":"string"},"requestId":{"type":"string"},"data":{"$ref":"#/components/schemas/GetProductList_Data"}},"required":["app","service","warnings","instanceId","requestId","data"]},"GetProductList_Data":{"type":"object","properties":{"item":{"$ref":"#/components/schemas/GetProductList_Data_Item"}},"required":["item"]},"GetProductList_Data_Item":{"type":"object","properties":{"type":{"type":"string","enum":["custom","menu"]},"group":{"type":"object"},"locales":{"$ref":"#/components/schemas/__type_174bf132"},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"},"uid":{"type":"string"},"entries":{"type":"array","items":{"$ref":"#/components/schemas/ProductListEntryM"}}},"required":["type","locales","uid","entries"]},"__type_174bf132":{"type":"object","properties":{"ar":{"$ref":"#/components/schemas/__type_174bf132_Ar"},"en":{"$ref":"#/components/schemas/__type_174bf132_En"}},"required":["ar","en"]},"__type_174bf132_Ar":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string","nullable":true}},"required":["name"]},"__type_174bf132_En":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string","nullable":true}},"required":["name"]},"ProductListEntryM":{"type":"object","properties":{"sort":{"type":"number","nullable":true},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"},"uid":{"type":"string"},"productUid":{"type":"string"}},"required":["uid","productUid"]},"GetProductListApiError":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/GetProductList_Error"}},"required":["error"]},"GetProductList_Error":{"type":"object","properties":{"code":{"allOf":[{"$ref":"#/components/schemas/GetProductList_ErrorCodes_enum"}]}},"required":["code"]},"GetProductList_ErrorCodes_enum":{"type":"string","enum":["NotFound"]}}},"paths":{"/v1/core/product-lists/{uid}":{"get":{"operationId":"ProductLists_get","parameters":[{"name":"uid","required":true,"in":"path","schema":{"type":"string"}},{"name":"organization-id","in":"header","required":true,"schema":{"type":"string"},"description":"Organization ID"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetProductListApiResponse"}}}},"400":{"description":"Functional Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetProductListApiError"}}}}},"summary":"Returns a Product List","tags":["Product Lists"]}}}}
```

## DELETE /v1/core/product-lists/{uid}

> Deletes a Product List

```json
{"openapi":"3.0.0","info":{"title":"Gormic Core API","version":"1.0"},"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key","description":"API Key"}},"schemas":{"DeleteProductListApiResponse":{"type":"object","properties":{"app":{"type":"string"},"service":{"type":"string"},"warnings":{"type":"array","items":{"type":"object"}},"instanceId":{"type":"string"},"requestId":{"type":"string"},"data":{"$ref":"#/components/schemas/DeleteProductList_Data"}},"required":["app","service","warnings","instanceId","requestId","data"]},"DeleteProductList_Data":{"type":"object","properties":{"succeed":{"type":"boolean"}},"required":["succeed"]}}},"paths":{"/v1/core/product-lists/{uid}":{"delete":{"operationId":"ProductLists_delete","parameters":[{"name":"uid","required":true,"in":"path","schema":{"type":"string"}},{"name":"organization-id","in":"header","required":true,"schema":{"type":"string"},"description":"Organization ID"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteProductListApiResponse"}}}}},"summary":"Deletes a Product List","tags":["Product Lists"]}}}}
```

## PATCH /v1/core/product-lists/{uid}

> Updates a Product List

```json
{"openapi":"3.0.0","info":{"title":"Gormic Core API","version":"1.0"},"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key","description":"API Key"}},"schemas":{"UpdateProductListApiRequest":{"type":"object","properties":{"params":{"$ref":"#/components/schemas/UpdateProductList_Params"}},"required":["params"]},"UpdateProductList_Params":{"type":"object","properties":{"group":{"type":"object"},"locales":{"$ref":"#/components/schemas/__type_174bf132"}}},"__type_174bf132":{"type":"object","properties":{"ar":{"$ref":"#/components/schemas/__type_174bf132_Ar"},"en":{"$ref":"#/components/schemas/__type_174bf132_En"}},"required":["ar","en"]},"__type_174bf132_Ar":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string","nullable":true}},"required":["name"]},"__type_174bf132_En":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string","nullable":true}},"required":["name"]},"UpdateProductListApiResponse":{"type":"object","properties":{"app":{"type":"string"},"service":{"type":"string"},"warnings":{"type":"array","items":{"type":"object"}},"instanceId":{"type":"string"},"requestId":{"type":"string"},"data":{"$ref":"#/components/schemas/UpdateProductList_Data"}},"required":["app","service","warnings","instanceId","requestId","data"]},"UpdateProductList_Data":{"type":"object","properties":{"item":{"$ref":"#/components/schemas/UpdateProductList_Data_Item"}},"required":["item"]},"UpdateProductList_Data_Item":{"type":"object","properties":{"type":{"type":"string","enum":["custom","menu"]},"group":{"type":"object"},"locales":{"$ref":"#/components/schemas/__type_174bf132"},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"},"uid":{"type":"string"},"entries":{"type":"array","items":{"$ref":"#/components/schemas/ProductListEntryM"}}},"required":["type","locales","uid","entries"]},"ProductListEntryM":{"type":"object","properties":{"sort":{"type":"number","nullable":true},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"},"uid":{"type":"string"},"productUid":{"type":"string"}},"required":["uid","productUid"]},"UpdateProductListApiError":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/UpdateProductList_Error"}},"required":["error"]},"UpdateProductList_Error":{"type":"object","properties":{"code":{"allOf":[{"$ref":"#/components/schemas/UpdateProductList_ErrorCodes_enum"}]}},"required":["code"]},"UpdateProductList_ErrorCodes_enum":{"type":"string","enum":["NoChanges"]}}},"paths":{"/v1/core/product-lists/{uid}":{"patch":{"operationId":"ProductLists_update","parameters":[{"name":"uid","required":true,"in":"path","schema":{"type":"string"}},{"name":"organization-id","in":"header","required":true,"schema":{"type":"string"},"description":"Organization ID"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductListApiRequest"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductListApiResponse"}}}},"400":{"description":"Functional Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductListApiError"}}}}},"summary":"Updates a Product List","tags":["Product Lists"]}}}}
```

## GET /v1/core/product-lists/export

> Exports all products with support for incremental fetching.

```json
{"openapi":"3.0.0","info":{"title":"Gormic Core API","version":"1.0"},"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key","description":"API Key"}},"schemas":{"ExportProductListsApiResponse":{"type":"object","properties":{"app":{"type":"string"},"service":{"type":"string"},"warnings":{"type":"array","items":{"type":"object"}},"instanceId":{"type":"string"},"requestId":{"type":"string"},"data":{"$ref":"#/components/schemas/ExportProductLists_Data"}},"required":["app","service","warnings","instanceId","requestId","data"]},"ExportProductLists_Data":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/ProductListM"}},"next":{"type":"string"}},"required":["items"]},"ProductListM":{"type":"object","properties":{"type":{"type":"string","enum":["custom","menu"]},"group":{"type":"object"},"locales":{"$ref":"#/components/schemas/__type_174bf132"},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"},"uid":{"type":"string"},"entries":{"type":"array","items":{"$ref":"#/components/schemas/ProductListEntryM"}}},"required":["type","locales","uid","entries"]},"__type_174bf132":{"type":"object","properties":{"ar":{"$ref":"#/components/schemas/__type_174bf132_Ar"},"en":{"$ref":"#/components/schemas/__type_174bf132_En"}},"required":["ar","en"]},"__type_174bf132_Ar":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string","nullable":true}},"required":["name"]},"__type_174bf132_En":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string","nullable":true}},"required":["name"]},"ProductListEntryM":{"type":"object","properties":{"sort":{"type":"number","nullable":true},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"},"uid":{"type":"string"},"productUid":{"type":"string"}},"required":["uid","productUid"]}}},"paths":{"/v1/core/product-lists/export":{"get":{"operationId":"ProductLists_export","parameters":[{"name":"updatedSince","required":false,"in":"query","schema":{"type":"string"}},{"name":"offset","required":false,"in":"query","schema":{"type":"string"}},{"name":"organization-id","in":"header","required":true,"schema":{"type":"string"},"description":"Organization ID"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExportProductListsApiResponse"}}}}},"summary":"Exports all products with support for incremental fetching.","tags":["Product Lists"]}}}}
```

## POST /v1/core/product-list-entries

> Creates an entry within a product list

```json
{"openapi":"3.0.0","info":{"title":"Gormic Core API","version":"1.0"},"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key","description":"API Key"}},"schemas":{"CreateProductListEntryApiRequest":{"type":"object","properties":{"params":{"$ref":"#/components/schemas/CreateProductListEntry_Params"}},"required":["params"]},"CreateProductListEntry_Params":{"type":"object","properties":{"listUid":{"type":"string"},"productUid":{"type":"string"},"sort":{"type":"number","nullable":true}},"required":["listUid","productUid","sort"]},"CreateProductListEntryApiResponse":{"type":"object","properties":{"app":{"type":"string"},"service":{"type":"string"},"warnings":{"type":"array","items":{"type":"object"}},"instanceId":{"type":"string"},"requestId":{"type":"string"},"data":{"$ref":"#/components/schemas/CreateProductListEntry_Data"}},"required":["app","service","warnings","instanceId","requestId","data"]},"CreateProductListEntry_Data":{"type":"object","properties":{"item":{"$ref":"#/components/schemas/CreateProductListEntry_Data_Item"},"product":{"$ref":"#/components/schemas/ProductM_b729d490"},"category":{"$ref":"#/components/schemas/CategoryMap_3a2b06ed"}},"required":["item"]},"CreateProductListEntry_Data_Item":{"type":"object","properties":{"sort":{"type":"number","nullable":true},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"},"uid":{"type":"string"},"productUid":{"type":"string"}},"required":["uid","productUid"]},"ProductM_b729d490":{"type":"object","properties":{}},"CategoryMap_3a2b06ed":{"type":"object","properties":{}}}},"paths":{"/v1/core/product-list-entries":{"post":{"operationId":"ProductListEntries_create","parameters":[{"name":"organization-id","in":"header","required":true,"schema":{"type":"string"},"description":"Organization ID"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateProductListEntryApiRequest"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateProductListEntryApiResponse"}}}}},"summary":"Creates an entry within a product list","tags":["Product Lists"]}}}}
```

## DELETE /v1/core/product-list-entries/{uid}

> Deletes a Product List Entry

```json
{"openapi":"3.0.0","info":{"title":"Gormic Core API","version":"1.0"},"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key","description":"API Key"}},"schemas":{"DeleteProductListEntryApiResponse":{"type":"object","properties":{"app":{"type":"string"},"service":{"type":"string"},"warnings":{"type":"array","items":{"type":"object"}},"instanceId":{"type":"string"},"requestId":{"type":"string"},"data":{"$ref":"#/components/schemas/DeleteProductListEntry_Data"}},"required":["app","service","warnings","instanceId","requestId","data"]},"DeleteProductListEntry_Data":{"type":"object","properties":{"succeed":{"type":"boolean"}},"required":["succeed"]}}},"paths":{"/v1/core/product-list-entries/{uid}":{"delete":{"operationId":"ProductListEntries_delete","parameters":[{"name":"uid","required":true,"in":"path","schema":{"type":"string"}},{"name":"organization-id","in":"header","required":true,"schema":{"type":"string"},"description":"Organization ID"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteProductListEntryApiResponse"}}}}},"summary":"Deletes a Product List Entry","tags":["Product Lists"]}}}}
```

## PATCH /v1/core/product-list-entries/{uid}

> Updates an entry within a product list

```json
{"openapi":"3.0.0","info":{"title":"Gormic Core API","version":"1.0"},"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key","description":"API Key"}},"schemas":{"UpdateProductListEntryApiRequest":{"type":"object","properties":{"params":{"$ref":"#/components/schemas/UpdateProductListEntry_Params"}},"required":["params"]},"UpdateProductListEntry_Params":{"type":"object","properties":{"uid":{"type":"string"},"sort":{"type":"number","nullable":true}},"required":["uid"]},"UpdateProductListEntryApiResponse":{"type":"object","properties":{"app":{"type":"string"},"service":{"type":"string"},"warnings":{"type":"array","items":{"type":"object"}},"instanceId":{"type":"string"},"requestId":{"type":"string"},"data":{"$ref":"#/components/schemas/UpdateProductListEntry_Data"}},"required":["app","service","warnings","instanceId","requestId","data"]},"UpdateProductListEntry_Data":{"type":"object","properties":{"item":{"$ref":"#/components/schemas/UpdateProductListEntry_Data_Item"}},"required":["item"]},"UpdateProductListEntry_Data_Item":{"type":"object","properties":{"sort":{"type":"number","nullable":true},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"},"uid":{"type":"string"},"productUid":{"type":"string"}},"required":["uid","productUid"]},"UpdateProductListEntryApiError":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/UpdateProductListEntry_Error"}},"required":["error"]},"UpdateProductListEntry_Error":{"type":"object","properties":{"code":{"allOf":[{"$ref":"#/components/schemas/UpdateProductListEntry_ErrorCodes_enum"}]}},"required":["code"]},"UpdateProductListEntry_ErrorCodes_enum":{"type":"string","enum":["NoChanges"]}}},"paths":{"/v1/core/product-list-entries/{uid}":{"patch":{"operationId":"ProductListEntries_update","parameters":[{"name":"uid","required":true,"in":"path","schema":{"type":"string"}},{"name":"organization-id","in":"header","required":true,"schema":{"type":"string"},"description":"Organization ID"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductListEntryApiRequest"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductListEntryApiResponse"}}}},"400":{"description":"Functional Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductListEntryApiError"}}}}},"summary":"Updates an entry within a product list","tags":["Product Lists"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.gormic.com/api-reference/core/product-lists.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
